Name: pmake
Version: 1.45
Release: alt4
Serial: 1

Source: http://ftp.debian.org/debian/pool/main/p/%name/%{name}_%version-11.tar.bz2
Source1: mkdep.tar
Source2: lorder.tar

Patch1: mkdep-alt-tmp.patch
Patch2: lorder-alt-tmp.patch
Patch3: %name-1.45-alt-bsd.own.mk.patch 
Patch4: %name-1.45-alt-bsd.lib.mk.patch 
Patch5: %name-1.45-alt-bsd.prog.mk.patch 

Summary: The BSD 4.4 version of make
License: BSD
Group: Development/Other

Obsoletes: %name-customs
Requires: mktemp >= 1:1.3.1

# Automatically added by buildreq on Sat May 17 2003
BuildRequires: groff-base groff-ps

%description
PMake is a program for creating other programs, or anything else
you can think of for it to do.  The basic idea behind PMake is
that, for any given system, be it a program or a document or
whatever, there will be some files that depend on the state of
other files (on when they were last modified).  PMake takes
these dependencies, which you must specify, and uses them to
build whatever it is you want it to build.

PMake is a particular version (BSD 4.4) of make.  PMake supports
some additional syntax which is not in the standard make program.
Some Berkeley programs have Makefiles written for PMake.

%prep
%setup -q
%__rm -f mkdep*
%setup -qDT -a1 -a2

%patch1 -p0
%patch2 -p0
%patch3 -p1
%patch4 -p1
%patch5 -p1

find -type f -print0 |
	xargs -r0 %__grep -FZl /usr/share/mk -- |
	xargs -r0 %__subst -p 's,/usr/share/mk,%_datadir/%name/mk,g' --

%build
make -f Makefile.boot \
	CC=gcc \
	MACHINE=%_target_vendor \
	MACHINE_ARCH=%_target_cpu \
	CFLAGS="${RPM_OPT_FLAGS} -I. -DTARGET_MACHINE=\\\"\${MACHINE}\\\" -DTARGET_MACHINE_ARCH=\\\"\${MACHINE_ARCH}\\\" -D__COPYRIGHT\(x\)= -D__RCSID\(x\)= "

%__rm -rf doc
%__mkdir_p doc
groff -Tascii -ms PSD.doc/tutorial.ms >doc/tutorial.asc
groff -Tps -ms PSD.doc/tutorial.ms >doc/tutorial.ps
%__install -p -m644 debian/changelog doc/
bzip2 -9 doc/*
%__install -p -m644 debian/copyright doc/

%install
%__install -pD -m755 bmake $RPM_BUILD_ROOT%_bindir/%name
%__install -pD -m644 make.1 $RPM_BUILD_ROOT%_man1dir/%name.1

%__install -pD -m755 mkdep/mkdep.gcc.sh $RPM_BUILD_ROOT%_bindir/mkdep
%__install -p -m644 mkdep/mkdep.1 $RPM_BUILD_ROOT%_man1dir/

%__install -pD -m755 lorder/lorder.sh $RPM_BUILD_ROOT%_bindir/lorder
%__install -p -m644 lorder/lorder.1 $RPM_BUILD_ROOT%_man1dir/

for f in mk/*; do
	%__install -pD -m644 "$f" $RPM_BUILD_ROOT%_datadir/%name/"$f"
done

%files
%_bindir/*
%_datadir/%name
%_mandir/man?/*
%doc doc/*

%changelog
* Sun May 25 2003 Dmitry V. Levin <ldv@altlinux.org> 1:1.45-alt4
- Updated mkdep(1) from OpenBSD.
- Packaged lorder(1), also based on OpenBSD version.

* Sat May 17 2003 Dmitry V. Levin <ldv@altlinux.org> 1:1.45-alt3
- Re-worked the temporary file handling patch.
- Re-worked tutorial packaging.
- Patched bsd.lib.mk to work properly on ALT Linux.
- Patched bsd.prog.mk to support ELF object format properly.
- Patched bsd.own.mk to work properly when DESTDIR variable
  is specified.

* Mon Oct 14 2002 Stanislav Ievlev <inger@altlinux.ru> 1:1.45-alt2
- update to release 11

* Mon Oct 15 2001 Stanislav Ievlev <inger@altlinux.ru> 1.45-alt1
- 1.45
- Move to Debian pmake

* Thu Sep 21 2000 Dmitry V. Levin <ldv@fandra.org> 2.1.34-ipl4mdk
- Patched to build with glibc-2.2.
- Automatically added BuildRequires.

* Tue Sep 19 2000 Francis Galiegue <fg@mandrakesoft.com> 2.1.34-4mdk
- FHS compliance
- More macros

* Tue Aug 29 2000 Etienne Faure <etienne@mandrakesoft.com> 2.1.34-3mdk
- rebuild with _mandir macro

* Mon Apr  3 2000 Adam Lebsack <adam@mandrakesoft.com> 2.1.34-2mdk
- Added ppc support

* Mon Oct 25 1999 Jeff Garzik  <jgarzik@pobox.com>
- Import RedHat 6.1 spec and patches
- Update to pmake 2.1.34
- Update RH compat patch
- bzip2 compression for man pages

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 5)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- turn off setuid root "just in case". See etc/SECURITY in /usr/doc.

* Mon Aug 17 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Dec 16 1997 Otto Hammersmith <otto@redhat.com>
- fixed bug related to rules to build .a files.

* Thu Oct 23 1997 Cristian Gafton <gafton@redhat.com>
- updated spec file

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
